Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema Class Reference

`#include <OCamera.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema:
[legend]

## Public Types

typedef OCameraSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CameraSchemaInfo >
typedef CameraSchemaInfo | info_type
typedef OSchema< CameraSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OCameraSchema ()
| OCameraSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OCameraSchema (const OCameraSchema &iCopy)
| Copy constructor. More...
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment operator used. More...
size_t | getNumSamples ()
void | set (const CameraSample &iSamp)
| Set a sample. More...
void | setFromPrevious ()
| Set from previous sample. More...
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
Abc::OCompoundProperty | getUserProperties ()
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OBox3dProperty | getChildBoundsProperty ()
void | reset ()
bool | valid () const
| Returns whether this function set is valid. More...
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (OCameraSchema::valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CameraSchemaInfo >
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (uint32_t iTsIdx)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
| OBasePropertyT (AbcA::CompoundPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::OScalarProperty | m_coreProperties
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_userProperties
Abc::OCompoundProperty | m_arbGeomParams
Abc::ODoubleArrayProperty | m_bigFilmBackChannelsProperty
Abc::OScalarProperty | m_smallFilmBackChannelsProperty
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CameraSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Detailed Description

Definition at line 50 of file OCamera.h.

## Member Typedef Documentation

## this_type

typedef OCameraSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 58 of file OCamera.h.

## Constructor & Destructor Documentation

## OCameraSchema() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::OCameraSchema | ( |  | ) |

inline

The default constructor creates an empty OCameraMeshSchema ...

Definition at line 66 of file OCamera.h.

## OCameraSchema() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::OCameraSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg2 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg3 = `Abc::Argument()`
| ) |  |

inline

This constructor creates a new camera writer. The first argument is the compound property to use as a parent The remaining optional arguments are the parents ErrorHandlerPolicy, an override to the ErrorHandlerPolicy, MetaData, and TimeSampling info.

Definition at line 72 of file OCamera.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSampling(), and Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSamplingIndex().

Here is the call graph for this function:

## OCameraSchema() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::OCameraSchema | ( | const OCameraSchema & | iCopy | ) |

inline

Copy constructor.

Definition at line 103 of file OCamera.h.

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | OCameraSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## getArbGeomParams()

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::getArbGeomParams | ( |  | ) |

## getChildBoundsProperty()

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::getChildBoundsProperty | ( |  | ) |

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::getNumSamples | ( |  | ) |

inline

Get number of samples written so far. ...

Definition at line 125 of file OCamera.h.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::getTimeSampling | ( |  | ) | const

inline

Default assignment operator used.

Return the time sampling.

Definition at line 116 of file OCamera.h.

## getUserProperties()

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::getUserProperties | ( |  | ) |

## init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::init | ( | uint32_t | iTsIdx | ) |

protected

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::reset | ( |  | ) |

inline

Reset returns this function set to an empty, default state.

Definition at line 150 of file OCamera.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >::reset().

Here is the call graph for this function:

## set()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::set | ( | const CameraSample & | iSamp | ) |

Set a sample.

## setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::setFromPrevious | ( |  | ) |

Set from previous sample.

## setTimeSampling() [1/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

## setTimeSampling() [2/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::setTimeSampling | ( | uint32_t | iIndex | ) |

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::valid | ( |  | ) | const

inline

Returns whether this function set is valid.

Definition at line 162 of file OCamera.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< PROP_PTR >::valid().

Here is the call graph for this function:

## Member Data Documentation

## m_arbGeomParams

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::m_arbGeomParams

protected

Definition at line 180 of file OCamera.h.

## m_bigFilmBackChannelsProperty

Abc::ODoubleArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::m_bigFilmBackChannelsProperty

protected

Definition at line 182 of file OCamera.h.

## m_childBoundsProperty

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::m_childBoundsProperty

protected

Definition at line 177 of file OCamera.h.

## m_coreProperties

Abc::OScalarProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::m_coreProperties

protected

Definition at line 175 of file OCamera.h.

## m_smallFilmBackChannelsProperty

Abc::OScalarProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::m_smallFilmBackChannelsProperty

protected

Definition at line 184 of file OCamera.h.

## m_userProperties

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCameraSchema::m_userProperties

protected

Definition at line 179 of file OCamera.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OCamera.h